<!DOCTYPE html>
<html>

<head>
	<meta charset="utf-8" />
	<meta charset="utf-8" />
	<meta http-equiv="X-UA-Compatible" content="IE=edge" />
	<meta name="viewport" content="width=device-width,initial-scale=1" />
	<title>TBC</title>

	<link th:href="@{/vendor/chartist/css/chartist.min.css}" rel="stylesheet" type="text/css" />
	<link th:href="@{/vendor/owl-carousel/owl.carousel.css}" rel="stylesheet" type="text/css" />

	<link th:href="@{/vendor/bootstrap-select/dist/css/bootstrap-select.min.css}" rel="stylesheet" type="text/css" />
	<link th:href="@{/css/style.css}" rel="stylesheet" type="text/css" />
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.9.1/font/bootstrap-icons.css" />
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
</head>

<body>
	<div class="container">
		<div class="row my-5 pt-5">
			<div class="col-md-8 col-lg-8 col-xl-8 mx-auto">
				<div class="card p-3">
					<div class="card-header p-3">
						<p class="mb-0 fw-bold h4">Make a Payment</p>
					</div>
					<div class="card-body border p-0">
						<p>
						<h3 class="p-2">
							<span class="fw-bold text-black">Debit Card</span>
							<span class="disabled">
								<span class="fab fa-cc-amex"></span>
								<span class="fab fa-cc-mastercard"></span>
								<span class="fab fa-cc-discover"></span>
							</span>
						</h3>
						</p>
						<div class="p-3 pt-0">
							<div class="row">
								<div class="col-lg-12 mb-lg-0 mb-3">
									<p class="h4 mb-3 text-success"><span class="fw-bold">Buy tbc worth: $</span><span
											class="c-green" th:text="${c.amount}"></span>
									</p>
								</div>
								<div class="col-lg-12">
									<form action="payment-form" class="form-reset" method="post">
										<form action="payWithNewCard" method="post" id="payment-form" th:object="${c}">
											<input type="hidden" id="custome-email" class="form-control"
												name="customer-email" th:value="${c.email}">
											<input type="hidden" id="secretId" class="form-control" name="secretId"
												th:value="${clientSecret}">

											<span id="strip-error"></span>
											<div id="card-element"></div>


											<div class="form-group my-5">
												<button type="button" id="pay" onclick="paywithNewCard()"
													class="btn btn-primary w-100 btn-sm">Pay
													<fmt:formatNumber type="number" minFractionDigits="2"
														maxFractionDigit="2" th:value="${amount}">
												</button>
											</div>
										</form>
									</form>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
	<script type="text/javascript" src="https://js.stripe.com/v3/"></script>
	<script th:src="@{/js/dashboardPayment.js}"></script>
	<script th:src="@{/vendor/global/global.min.js}" type="text/javascript"></script>
	<script th:src="@{/vendor/bootstrap-select/dist/js/bootstrap-select.min.js}" type="text/javascript"></script>
	<script th:src="@{/vendor/chart.js/Chart.bundle.min.js}" type="text/javascript"></script>
	<script th:src="@{/vendor/peity/jquery.peity.min.js}" type="text/javascript"></script>
	<script th:src="@{/vendor/apexchart/apexchart.js}" type="text/javascript"></script>
	<script src="/vendor/owl-carousel/owl.carousel.js" type="text/javascript"></script>
	<script src="/js/dashboard/dashboard-1.js" type="text/javascript"></script>
	<script th:src="@{/js/custom.js}" type="text/javascript"></script>
	<script th:src="@{/js/deznav-init.js}" type="text/javascript"></script>
	<script th:src="@{/js/demo.js}" type="text/javascript"></script>
	<script th:src="@{/js/styleSwitcher.js}" type="text/javascript"></script>
	<script>
		$(document).ready(function () {
			$(".theme-colors .btn").click(function () {
				$(".theme-colors .btn").removeClass("active");
				$(this).addClass("active");
			});
		});
	</script>
</body>

</html>